DROP PROCEDURE(7)

NAME
DROP_PROCEDURE - remove a procedure

SYNOPSIS

DROP PROCEDURE [ IF EXISTS ] name [ ( [ [ argmode ] [ argname ] argtype [, ...] ] ) ] [, ...]
    [ CASCADE | RESTRICT ]

DESCRIPTION

DROP PROCEDURE removes the definition of an existing procedure. To execute this command the user must be the owner of the procedure. The argument types to the procedure must be specified, since several different procedures can exist with the same name and different argument lists.

PARAMETERS

IF EXISTS
    Do not throw an error if the procedure does not exist. A notice is issued in this case.

name
    The name (optionally schema-qualified) of an existing procedure. If no argument list is specified, the name must be unique in its schema.

argmode
    The mode of an argument: IN or VARIADIC. If omitted, the default is IN.

argname
    The name of an argument. Note that DROP PROCEDURE does not actually pay any attention to argument names, since only the argument data types are needed to determine the procedure's identity.

argtype
    The data type(s) of the procedure's arguments (optionally schema-qualified), if any.

CASCADE
    Automatically drop objects that depend on the procedure, and in turn all objects that depend on those objects (see Section 5.14).

RESTRICT
    Refuse to drop the procedure if any objects depend on it. This is the default.

EXAMPLES

    DROP PROCEDURE do_db_maintenance();

COMPATIBILITY

This command conforms to the SQL standard, with these PostgreSQL extensions:

    • The standard only allows one procedure to be dropped per command.

    • The IF EXISTS option

    • The ability to specify argument modes and names

SEE ALSO
CREATE PROCEDURE (CREATE_PROCEDURE(7)), ALTER PROCEDURE (ALTER_PROCEDURE(7)), DROP FUNCTION (DROP_FUNCTION(7)), DROP ROUTINE (DROP_ROUTINE(7))